# TODO:
# - register gnome thumbnailer in more package-friendly way (not multiple gconftool runs)
# - webapp config for -html5? (optional, may be used also locally)
#
# Conditional build:
%bcond_without	html5	# HTML5 viewer
%bcond_without	magick	# ImageMagick coder
#
# html5 requires cito that requires mono that is not available yet on x32
%ifarch x32
%undefine	with_html5
%endif

Summary:	FAIL - First Atari Image Library
Summary(pl.UTF-8):	FAIL (First Atari Image Library) - biblioteka do obrazów w formatach Atari
Name:		fail
Version:	2.0.2
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	https://downloads.sourceforge.net/recoil/%{name}-%{version}.tar.gz
# Source0-md5:	553c54fc7e257850765419b8e7bb5482
Patch0:		imagemagick7.patch
URL:		http://recoil.sourceforge.net/
%{?with_magick:BuildRequires:	ImageMagick-devel >= 1:6.8}
%{?with_html5:BuildRequires:	asciidoc}
%{?with_html5:BuildRequires:	cito}
BuildRequires:	libpng-devel
BuildRequires:	libxslt-progs
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with magick}
%define		im_coders_dir	%(pkg-config --variable moduledir MagickCore)/coders
%endif

%description
FAIL is a viewer of pictures in native formats of Atari 8-bit, Atari
ST, Atari Falcon and Atari Portfolio computers.

%description -l pl.UTF-8
FAIL to narzędzia do przeglądania obrazów w natywnych formatach
komputerów Atari 8-bitowych, Atari ST, Atari Falcon oraz Atari
Portfolio.

%package gnome
Summary:	FAIL support for viewing Atari files in GNOME
Summary(pl.UTF-8):	Wsparcie FAIL do oglądania plików z Atari w GNOME
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description gnome
FAIL support for viewing Atari files in GNOME.

%description gnome -l pl.UTF-8
Wsparcie FAIL do oglądania plików z Atari w GNOME.

%package html5
Summary:	HTML5 FAIL viewer for Atari files
Summary(pl.UTF-8):	Przeglądarka FAIL do plików z Atari w HTML5
Group:		Applications/WWW

%description html5
HTML5 FAIL viewer for Atari files.

%description html5 -l pl.UTF-8
Przeglądarka FAIL do plików z Atari w HTML5.

%package -n ImageMagick-coder-fail
Summary:	FAIL coder for ImageMagick
Summary(pl.UTF-8):	Koder FAIL dla ImageMagicka
Group:		Libraries
%requires_ge_to	ImageMagick ImageMagick-devel

%description -n ImageMagick-coder-fail
FAIL coder for ImageMagick to read Atari formats.

%description -n ImageMagick-coder-fail -l pl.UTF-8
Koder FAIL dla ImageMagicka, czytający formaty Atari.

%prep
%setup -q
%patch0 -p1

%build
%{__make} all fail-mime.xml \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall" \
%if %{with magick}
	MAGICK_INCLUDE_PATH=/usr/include/ImageMagick-7/private \
	CAN_INSTALL_MAGICK=1
%endif

%if %{with html5}
%{__make} -C html5
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install-fail2png \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

# install-thumbnailer is ugly; for now, install only this one
install -D fail-mime.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages/fail-mime.xml

%if %{with magick}
install -D fail.so $RPM_BUILD_ROOT%{im_coders_dir}/fail.so
echo "dlname='fail.so'" >$RPM_BUILD_ROOT%{im_coders_dir}/fail.la
%endif

%if %{with html5}
install -d $RPM_BUILD_ROOT%{_datadir}/fail-html5
cp -p html5/*.{js,html} $RPM_BUILD_ROOT%{_datadir}/fail-html5
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.html
%attr(755,root,root) %{_bindir}/fail2png

%files gnome
%defattr(644,root,root,755)
%{_datadir}/mime/packages/fail-mime.xml
# TODO: gconf files?

%if %{with html5}
%files html5
%defattr(644,root,root,755)
%{_datadir}/fail-html5
%endif

%if %{with magick}
%files -n ImageMagick-coder-fail
%defattr(644,root,root,755)
%attr(755,root,root) %{im_coders_dir}/fail.so
%{im_coders_dir}/fail.la
%endif
%changelog
* Fri Apr 15 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fail.git;a=log;h=master

* Fri Apr 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 51d597c
- updated to 2.0.2 (the last version as fail; then continued as recoil)

* Fri Jan 29 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 2317213
- rel 20; simpler/working imagemagick module dir fetching

* Fri Jan 29 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b6adcb
- release 19 (by relup.sh)

* Sat Mar 14 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 85e7ec8
- release 18 (by relup.sh)

* Tue Feb 18 2020 Jan Rękorajski <baggins@pld-linux.org> 937d152
- rebuild with ImageMagick 7.0.9.23
- release 17 (by relup.sh)

* Sun Jul 08 2018 Jan Rękorajski <baggins@pld-linux.org> 0a092db
- release 16 (by relup.sh)

* Tue May 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8e251dd
- release 15 (by relup.sh)

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 684fb9d
- release 14 (by relup.sh)

* Mon Sep 04 2017 Elan Ruusamäe <glen@delfi.ee> 74bd050
- ImageMagick-7.0.7.0-1 rebuild
- release 13 (by relup.sh)

* Thu May 04 2017 Elan Ruusamäe <glen@delfi.ee> 943932f
- ImageMagick-7.0.5-5 rebuild
- release 12 (by relup.sh)

* Tue Dec 27 2016 Jan Rękorajski <baggins@pld-linux.org> 1512e97
- rebuild with ImageMagick 7.0.4.0
- release 11 (by relup.sh)

* Mon Dec 26 2016 Jan Rękorajski <baggins@pld-linux.org> c49f890
- fix building with ImageMagick 7
- rel 10

* Mon Dec 12 2016 Jan Rękorajski <baggins@pld-linux.org> 0014071
- release 9 (by relup.sh)

* Tue Jul 26 2016 Jan Rękorajski <baggins@pld-linux.org> ddc6b82
- release 8 (by relup.sh)

* Mon May 23 2016 Elan Ruusamäe <glen@delfi.ee> 5ef0576
- ImageMagick-6.9.4.1 rebuild
- release 7 (by relup.sh)

* Tue Mar 08 2016 Jan Rękorajski <baggins@pld-linux.org> cd7c47c
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 93665c3
- release 5 (by relup.sh)

* Sat Mar 14 2015 Jan Rękorajski <baggins@pld-linux.org> 93c8b3d
- disable mono deps (html5 viewer) on x32
- rel 4

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 6411daf
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d79a40
- release 2 (by relup.sh)

